Bug 1289699 - SmartState analysis fails for users Last Logon on RHEL7 hosts
SmartState analysis fails for users Last Logon on RHEL7 hosts
Status: ON_DEV
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: SmartState Analysis (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.6
Assigned To: Marek Aufart
Ola Pavlenko
openstack
: ZStream
Depends On: 1278003
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-08 13:22 EST by John Prause
Modified: 2017-07-31 01:34 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1278003
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Openstack


Attachments (Terms of Use)

  None (edit)
Comment 2 Rich Oliveri 2015-12-14 11:54:22 EST
Greg, this is a clone of https://bugzilla.redhat.com/show_bug.cgi?id=1278003
Comment 3 John Prause 2016-03-14 11:53:16 EDT
Deferring to 5.5.4 since today is dev complete for 5.5.3
Comment 4 Greg Blomquist 2016-04-19 10:43:04 EDT
We don't yet have an upstream solution for this.  We can't figure out what's causing the failure to parse the login information.

We'll likely have to punt on this again ... I don't see this getting fixed upstream before 5.5.4 release date.
Comment 11 CFME Bot 2016-06-22 11:51:16 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/b3a96711a126f400c6a9a9efb91f5ceadb4b0c6c

commit b3a96711a126f400c6a9a9efb91f5ceadb4b0c6c
Author:     Marek Aufart <maufart@redhat.com>
AuthorDate: Wed Jun 22 10:57:20 2016 +0200
Commit:     Marek Aufart <maufart@redhat.com>
CommitDate: Wed Jun 22 16:42:11 2016 +0200

    Fix SSA user logon on RHEL7
    
    Smart state analysis failed to read user logon time after
    certain amount of logged actions. Reading /var/log/wtmp file
    in binary mode fixes it.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1289699
    https://bugzilla.redhat.com/show_bug.cgi?id=1278003

 gems/pending/metadata/linux/LinuxUsers.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Note You need to log in before you can comment on or make changes to this bug.